#!/usr/bin/perl -w

# bin2c.pl : convert a raw binary file to a C header file defining an array of bytes.
# Author: Matthew Westcott <gasman@raww.org> 2004-02-07
# The content of this file (bin2c.pl) is placed in the public domain.

open BINFILE, $ARGV[0] or die "could not read {$ARGV[0]}\n";
binmode BINFILE;

$len = (stat BINFILE)[7];

print << "EOF";
/* autogenerated from $ARGV[0] by bin2c.pl */

static byte hrust_code[$len] = {
EOF

do {
	read BINFILE, $chunk, 16;
	@chars = split //, $chunk;
	@bytes = map {sprintf ("0x%02x",ord($_))} @chars;
	print "\t", (join ',', @bytes), (eof BINFILE ? '' : ','), "\n";
} until eof BINFILE;

print "};\n";
